org.richfaces.component

## Class AbstractSelectComponent

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - javax.faces.component.UISelectOne
          - - org.richfaces.component.AbstractSelectComponent

- All Implemented Interfaces:
    EventListener, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder
  Direct Known Subclasses:
    AbstractInplaceSelect, AbstractSelect

      public abstract class AbstractSelectComponent
      extends javax.faces.component.UISelectOne

  Author:
    abelevich

- - ### Field Summary

    - ### Fields inherited from class javax.faces.component.UISelectOne

      `COMPONENT_FAMILY, COMPONENT_TYPE, INVALID_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSelectComponent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getActiveClass()`
    `abstract String` | `getChangedClass()`
    `abstract String` | `getDefaultLabel()`
    `abstract String` | `getDisabledClass()`
    `abstract String` | `getItemClass()`
    `abstract String` | `getListClass()`
    `abstract String` | `getListHeight()` The height of the list element
    `abstract String` | `getListWidth()` The width of the list element
    `abstract String` | `getOnblur()` Javascript code executed when this element loses focus.
    `abstract String` | `getOnchange()` Javascript code executed when the list element loses focus and its value has been modified since gaining focus.
    `abstract String` | `getOnclick()`
    `abstract String` | `getOndblclick()`
    `abstract String` | `getOnfocus()` Javascript code executed when this element receives focus.
    `abstract String` | `getOnkeydown()`
    `abstract String` | `getOnkeypress()`
    `abstract String` | `getOnkeyup()`
    `abstract String` | `getOnlistclick()` Javascript code executed when a pointer button is clicked over the list element.
    `abstract String` | `getOnlistdblclick()` Javascript code executed when a pointer button is double clicked over the list element.
    `abstract String` | `getOnlisthide()` Javascript code executed when the list element is hidden
    `abstract String` | `getOnlistkeydown()` Javascript code executed when a key is pressed down over the list element.
    `abstract String` | `getOnlistkeypress()` Javascript code executed when a key is pressed and released over the list element.
    `abstract String` | `getOnlistkeyup()` Javascript code executed when a key is released over the list element.
    `abstract String` | `getOnlistmousedown()` Javascript code executed when a pointer button is pressed down over the list element.
    `abstract String` | `getOnlistmousemove()` Javascript code executed when a pointer button is moved within the list element.
    `abstract String` | `getOnlistmouseout()` Javascript code executed when a pointer button is moved away from the list element.
    `abstract String` | `getOnlistmouseover()` Javascript code executed when a pointer button is moved onto the list element.
    `abstract String` | `getOnlistmouseup()` Javascript code executed when a pointer button is released over the list element.
    `abstract String` | `getOnlistshow()` Javascript code executed when the list element is shown
    `abstract String` | `getOnmousedown()`
    `abstract String` | `getOnmousemove()`
    `abstract String` | `getOnmouseout()`
    `abstract String` | `getOnmouseover()`
    `abstract String` | `getOnmouseup()`
    `abstract String` | `getOnselectitem()` Javascript code executed when an item is selected
    `abstract String` | `getSelectItemClass()`

    - ### Methods inherited from class javax.faces.component.UISelectOne

      `getFamily, validateValue`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, clearInitialState, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getConverter, getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getConverter, getLocalValue, getValue, setConverter`

- - ### Constructor Detail

    - #### AbstractSelectComponent

          public AbstractSelectComponent()

  - ### Method Detail

    - #### getListWidth

          public abstract String getListWidth()

      The width of the list element

    - #### getListHeight

          public abstract String getListHeight()

      The height of the list element

    - #### getOnchange

          public abstract String getOnchange()

      Javascript code executed when the list element loses focus and its value has been modified since gaining focus.

    - #### getOnselectitem

          public abstract String getOnselectitem()

      Javascript code executed when an item is selected

    - #### getDefaultLabel

          public abstract String getDefaultLabel()

    - #### getItemClass

          public abstract String getItemClass()

    - #### getSelectItemClass

          public abstract String getSelectItemClass()

    - #### getActiveClass

          public abstract String getActiveClass()

    - #### getChangedClass

          public abstract String getChangedClass()

    - #### getDisabledClass

          public abstract String getDisabledClass()

    - #### getListClass

          public abstract String getListClass()

    - #### getOnblur

          public abstract String getOnblur()

      Javascript code executed when this element loses focus.

    - #### getOnfocus

          public abstract String getOnfocus()

      Javascript code executed when this element receives focus.

    - #### getOnkeydown

          public abstract String getOnkeydown()

    - #### getOnkeypress

          public abstract String getOnkeypress()

    - #### getOnkeyup

          public abstract String getOnkeyup()

    - #### getOnclick

          public abstract String getOnclick()

    - #### getOndblclick

          public abstract String getOndblclick()

    - #### getOnmousedown

          public abstract String getOnmousedown()

    - #### getOnmousemove

          public abstract String getOnmousemove()

    - #### getOnmouseout

          public abstract String getOnmouseout()

    - #### getOnmouseover

          public abstract String getOnmouseover()

    - #### getOnmouseup

          public abstract String getOnmouseup()

    - #### getOnlistshow

          public abstract String getOnlistshow()

      Javascript code executed when the list element is shown

    - #### getOnlisthide

          public abstract String getOnlisthide()

      Javascript code executed when the list element is hidden

    - #### getOnlistclick

          public abstract String getOnlistclick()

      Javascript code executed when a pointer button is clicked over the list element.

    - #### getOnlistdblclick

          public abstract String getOnlistdblclick()

      Javascript code executed when a pointer button is double clicked over the list element.

    - #### getOnlistmousedown

          public abstract String getOnlistmousedown()

      Javascript code executed when a pointer button is pressed down over the list element.

    - #### getOnlistmouseup

          public abstract String getOnlistmouseup()

      Javascript code executed when a pointer button is released over the list element.

    - #### getOnlistmouseover

          public abstract String getOnlistmouseover()

      Javascript code executed when a pointer button is moved onto the list element.

    - #### getOnlistmousemove

          public abstract String getOnlistmousemove()

      Javascript code executed when a pointer button is moved within the list element.

    - #### getOnlistmouseout

          public abstract String getOnlistmouseout()

      Javascript code executed when a pointer button is moved away from the list element.

    - #### getOnlistkeypress

          public abstract String getOnlistkeypress()

      Javascript code executed when a key is pressed and released over the list element.

    - #### getOnlistkeydown

          public abstract String getOnlistkeydown()

      Javascript code executed when a key is pressed down over the list element.

    - #### getOnlistkeyup

          public abstract String getOnlistkeyup()

      Javascript code executed when a key is released over the list element.

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.